Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 185294 - LowPerformance took 3883 ms.
LowPerformance took 3883 ms.
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Hints
6.x
PC Linux
: P2 (vote)
: 7.2
Assigned To: Jan Lahoda
issues@java
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-30 01:01 UTC by javadimon
Modified: 2012-05-30 13:47 UTC (History)
22 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (40.96 KB, application/nps)
2010-04-30 01:01 UTC, javadimon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description javadimon 2010-04-30 01:01:48 UTC
Build: NetBeans IDE 6.9 Beta (Build 201004200117)
VM: Java HotSpot(TM) 64-Bit Server VM, 18.0-b02, Java(TM) SE Runtime Environment, 1.7.0-ea-b89
OS: Linux

User Comments:
vkvashin: I tried opening Task window (via Windows -> Tasks menu)
UI was frozen for several seconds

GUEST: This is too slow!

GUEST: start up Netbeans



Maximum slowness yet reported was 23656 ms, average is 8589
Comment 1 javadimon 2010-04-30 01:01:55 UTC
Created attachment 98309 [details]
nps snapshot
Comment 2 Tomas Danek 2012-04-26 12:50:27 UTC
88 duplicates should deserve at least evaluation..
Comment 3 Antonin Nebuzelsky 2012-05-28 13:15:09 UTC
org.netbeans.modules.java.hints.declarative.debugging.DebugTopComponent.<init>() in the reports. Reassigning.
Comment 4 Quality Engineering 2012-05-30 05:30:33 UTC
Integrated into 'main-golden', will be available in build *201205300001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/518cb58d6019
User: Jan Lahoda <jlahoda@netbeans.org>
Log: #185294: initialize the editor pane on background.
Comment 5 Jan Lahoda 2012-05-30 05:47:17 UTC
(In reply to comment #3)
> org.netbeans.modules.java.hints.declarative.debugging.DebugTopComponent.<init>()
> in the reports. Reassigning.

http://hg.netbeans.org/main-golden/rev/518cb58d6019
ensures that the java.hints.declarative's DebugTopComponent is initialized on background similarly to normal editors.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo